Name:		phototonic
Version:	1.5
Release:	%mkrel 0.1
Summary:	An image viewer and organizer
Summary(fr_FR):	Une visionneuse et organisatrice d'images
Group:		Graphics/Viewers
License:	GPLv3
Url:		http://oferkv.github.io/phototonic/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(exiv2)

Suggests:	%{_lib}qtsvg5
Suggests:	qtimageformats5

%description
Phototonic is an image viewer and organizer with the following features:
* Light weight with a smooth and clear user interface
* Does not depend on any desktop environment
* Supports several customized thumbnail layouts
* Load thumbnails and browse images recursively
* Dynamic thumbnails loading, enabling fast browsing of very large folders
* Filter thumbnails
* Image navigation and file management
* Slide show
* View random image
* Transformation: rotation, flipping, cropping, image mirroring
* Adjust image colors
* Keep transformations zoom and colors while browsing multiple images
* Extensive automatic and manual zoom options
* Supported image formats: 
BMP, GIF, ICO, JPEG, MNG, PBM, PGM, PNG, PPM, SVG, SVGZ, TGA, TIFF, XBM, XPM
* Supports GIF animations
* Keyboard shortcuts and mouse behavior customization
* Load image files or folders from command line
* Open images with external applications

%description -l fr_FR
Phototonic est une visionneuse et une organisatrice d'images avec les
caractéristiques suivantes:
* Léger avec une interface utilisateur simple et nette
* Ne dépend d'aucun environnement de bureau
* Prend en charge plusieurs couches de vignettes personnalisées
* Charge les vignettes et parcourt les images de manière récursive
* Charge dynamiquement les vignettes, permettant une navigation rapide des
dossiers volumineux
* Filtre les vignettes
* Navigation d'image et gestion de dossiers
* Diaporama
* Affichage aléatoire
* Transformation : rotation, retournement, découpage, effet miroir
* Ajuste les couleurs d'images
* Garde les transformations de zoom et des couleurs tout en parcourant
plusieurs images
* De vaste options automatiques et manuelles du zoom
* Formats d'images pris en charge:
BMP, GIF, ICO, JPEG, MNG, PBM, PGM, PNG, PPM, SVG, SVGZ, TGA, TIFF, XBM, XPM
* Prend en charge les animations GIF
* Raccourcis clavier et personnalisation du comportement de la souris
* Charge des fichiers ou des dossiers d'image en ligne de commande
* Ouvre les images avec des applications externes

%prep
%setup -q
%apply_patches

%build
%qmake_qt5
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

# Install translations
mkdir -p %{buildroot}%{_datadir}/%{name}/translations
cp -r translations/*.qm %{buildroot}%{_datadir}/%{name}/translations

# Tweak upstream desktop file
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='X-Mageia-CrossDesktop' \
	%{buildroot}%{_datadir}/applications/%{name}.desktop
    
%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/translations
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Nov 22 2014 daviddavid (MLO Team) <daviddavid> 1.5-0.1.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- new version: 1.5

* Sun Nov 02 2014 daviddavid (MLO Team) <daviddavid> 1.4.20-0.1.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- new version: 1.4.20

* Sat Sep 20 2014 daviddavid (MLO Team) <daviddavid> 1.4-0.1.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- sync with current Cauldron (mga5)
- new version: 1.4

  + <barjac>
   + Revision: 674819
   - inadvertently dropped COPYING - replaced
   - improved tarball tool mk-tar-git-rev
   - new snapshot

  + <barjac>
   + Revision: 674809
   - new snapshot with many bug fixes

  + barjac <barjac>
   + Revision: 662388
   - import new package phototonic
